@echo off
REM BATCH DE TEST DE DEBIT ET DE NEUTRALITE POUR WINDOWS
REM Version 1.0 du 26 novembre 2015 (avec curl.exe version 7.45.0)
REM Ecrit par Vivien GUEANT sous Licence publique gnrale GNU GPLv3 http://www.gnu.org/licenses/gpl-3.0.fr.html
REM Questions: https://lafibre.info/tester-son-debit/
REM Contact  : https://lafibre.info/profile/vivien/

REM LICENCE POUR curl.exe, L'OUTIL UTILISE POUR REALISER LE TELECHARGEMENT :
REM Copyright (c) 1996 - 2015, Daniel Stenberg, daniel@haxx.se. All rights reserved.
REM Permission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.
REM THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
REM Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.

if exist "curl.exe" goto menu
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo !! ERREUR :                   !!
echo !! curl.exe absent du dossier !!
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Merci de placer le fichier "curl.exe" dans le mme dossier
echo que test-neutralite.bat
echo.
echo curl.exe est disponible  cette adresse :
echo https://lafibre.info/testdebit/curl/test-neutralite.zip
echo.
echo Rendez-vous sur https://LaFibre.info en cas de problme.
echo.
echo Appuyez sur une touche pour quitter.
pause >NUL
goto Fin

REM MENU POUR SELECTIONNER LA TAILLE DU FICHIER A TELECHARGER
:menu
echo ################################################################
echo ## TEST DE DEBIT ET DE NEUTRALITE, en http et en https        ##
echo ## sur les ports TCP 80, 443, 554, 993, 1194, 6881 et 8080    ##
echo ## avec 3 types de fichiers: donnes.zip images.jpg video.mp4 ##
echo ## Test ralis en IPv4, puis en IPv6 si IPv6 est disponible  ##
echo ## Rien n'est crit sur le disque dur. Dbit max de 10 Gb/s   ##
echo ################################################################
echo.
echo Choisir une taille de fichier pour le TEST DE DEBIT descendant :
echo ----------------------------------------------------------------
echo 0. 1 Mo   (Conseill avec une connexion internet de 2 Mb/s)
echo 1. 2 Mo   (Conseill avec une connexion internet de 4 Mb/s)
echo 2. 5 Mo   (Conseill avec une connexion internet de 10 Mb/s)
echo 3. 10 Mo  (Conseill avec une connexion internet de 20 Mb/s)
echo 4. 20 Mo  (Conseill avec une connexion internet de 40 Mb/s)
echo 5. 50 Mo  (Conseill avec une connexion internet de 100 Mb/s)
echo 6. 100 Mo (Conseill avec une connexion internet de 200 Mb/s)
echo 7. 200 Mo (Conseill avec une connexion internet de 400 Mb/s)
echo 8. 500 Mo (Conseill avec une connexion internet de 1 Gb/s)
echo 9. 1 Go   (Conseill avec une connexion internet de 2 Gb/s)
echo a. 5 Go   (Conseill avec une connexion internet de 10 Gb/s)
echo q. Quitter immdiatement sans raliser de test de dbit
echo. 
echo Exemple: Taper "4" pour un fichier de 20Mo.
set choice=
set /p choice=Votre choix ? 
if not '%choice%'=='' set choice=%choice:~0,1%
if /i %choice%==q goto Fin
set tailleDL=50
if %choice%==0 set tailleDL=1
if %choice%==1 set tailleDL=2
if %choice%==2 set tailleDL=5
if %choice%==3 set tailleDL=10
if %choice%==4 set tailleDL=20
if %choice%==5 set tailleDL=50
if %choice%==6 set tailleDL=100
if %choice%==7 set tailleDL=200
if %choice%==8 set tailleDL=500
if %choice%==9 set tailleDL=1000
if %choice%==a set tailleDL=5000
cls
echo Choisir une taille de fichier pour le TEST DE DEBIT montant :
echo -------------------------------------------------------------
echo 0. 1 Mo   (Conseill avec une connexion de 2 Mb/s en mission)
echo 1. 2 Mo   (Conseill avec une connexion de 4 Mb/s en mission)
echo 2. 5 Mo   (Conseill avec une connexion de 10 Mb/s en mission)
echo 3. 10 Mo  (Conseill avec une connexion de 20 Mb/s en mission)
echo 4. 20 Mo  (Conseill avec une connexion de 40 Mb/s en mission)
echo 5. 50 Mo  (Conseill avec une connexion de 100 Mb/s en mission)
echo 6. 100 Mo (Conseill avec une connexion de 200 Mb/s en mission)
echo 7. 200 Mo (Conseill avec une connexion de 400 Mb/s en mission)
echo 8. 500 Mo (Conseill avec une connexion de 1 Gb/s en mission)
echo 9. 1 Go   (Conseill avec une connexion de 2 Gb/s en mission)
echo a. 5 Go   (Conseill avec une connexion de 10 Gb/s en mission)
echo r. Raliser uniquement un TEST DE DEBIT descendant
echo q. Quitter immdiatement sans raliser de test de dbit
echo.
set choice=
set /p choice=Votre choix ? 
if not '%choice%'=='' set choice=%choice:~0,1%
if /i %choice%==q goto Fin
set tailleUL=5
if /i %choice%==r set tailleUL=0
if %choice%==0 set tailleUL=1
if %choice%==1 set tailleUL=2
if %choice%==2 set tailleUL=5
if %choice%==3 set tailleUL=10
if %choice%==4 set tailleUL=20
if %choice%==5 set tailleUL=50
if %choice%==6 set tailleUL=100
if %choice%==7 set tailleUL=200
if %choice%==8 set tailleUL=500
if %choice%==9 set tailleUL=1000
if %choice%==a set tailleDL=5000
cls
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set jour=%%a
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set mois=%%b
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set annee=%%c
echo %jour%/%mois%/%annee%%time:~0,8% Tlchargement de %tailleDL% Mo depuis 3.testdebit.info :


REM 1-1-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 80, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)


REM 1-1-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 80, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)


REM 1-1-3 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 80, fichier .mp4)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.mp4') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .mp4: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 1-1-4 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 80, fichier .pdf)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.pdf') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .pdf: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)





REM 1-2-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN https (IPv4, https port TCP 443, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP443 +https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-2-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN https (IPv4, https port TCP 443, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP443 +https.jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 1-3-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 554, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:554/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP554 +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-3-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 554, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:554/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP554 +http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-3-3 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 554, fichier .mp4)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:554/fichiers/%tailleDL%Mo/%tailleDL%Mo.mp4') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP554 +http .mp4: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 1-4-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN https (IPv4, https port TCP 993, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info:993/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP993 +https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-4-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN https (IPv4, https port TCP 993, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info:993/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP993 +https.jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 1-5-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN https (IPv4, https port TCP 1194, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info:1194/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP1194+https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-5-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN https (IPv4, https port TCP 1194, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info:1194/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP1194+https.jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 1-6-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 6881, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:6881/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP6881+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-6-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 6881, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:6881/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP6881+http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 1-7-1 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 8080, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:8080/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP8080+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-7-2 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 8080, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:8080/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP8080+http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 1-7-3 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 8080, fichier .mp4)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:8080/fichiers/%tailleDL%Mo/%tailleDL%Mo.mp4') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP8080+http .mp4: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM Test de la connectivit IPv6
ping -n 1 -w 1500 -6 3.testdebit.info >nul: 2>nul:
IF ERRORLEVEL 1 goto TestUpload


REM 2-1-1 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 80, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP80  +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 2-1-2 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 80, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.jpg') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP80  +http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)

REM 2-1-3 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 80, fichier .mp4)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.mp4') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP80  +http .mp4: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)


REM 2-2 TEST DE DEBIT IPv6 : TELECHARGEMENT EN https (IPv6, https port TCP 443, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP443 +https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)


REM 2-3 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 554, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:554/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP554 +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



REM 2-5 TEST DE DEBIT IPv6 : TELECHARGEMENT EN https (IPv6, https port TCP 1194, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL --insecure https://3.testdebit.info:1194/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP1194+https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)


REM 2-6 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 6881, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:6881/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP6881+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)


REM 2-7 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 8080, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_download}" -o NUL http://3.testdebit.info:8080/fichiers/%tailleDL%Mo/%tailleDL%Mo.zip') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP8080+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+GET:%Get%ms+Down:%temps_transfert%ms)



:TestUpload
if %tailleUL%==0 goto FinDownload
REM TELECHARGEMENT DU FICHIER A ENVOYER (TEST DEBIT MONTANT)
if exist "temp.zip" del temp.zip >NUL
if exist "temp.jpg" del temp.jpg >NUL
if exist "temp.mp4" del temp.mp4 >NUL
curl -s -o temp.zip http://3.testdebit.info/fichiers/%tailleUL%Mo/%tailleUL%Mo.zip
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set jour=%%a
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set mois=%%b
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set annee=%%c
echo %jour%/%mois%/%annee%%time:~0,8% Emission de %tailleUL% Mo vers 3.testdebit.info :

REM 3-1-1 TEST DE DEBIT IPv4  : ENVOI DU FICHIER EN http (IPv4, http port TCP 80, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)

ren temp.zip temp.jpg
REM 3-1-2 TEST DE DEBIT IPv4  : ENVOI DU FICHIER EN http (IPv4, http port TCP 80, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.jpg" http://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)

ren temp.jpg temp.mp4
REM 3-1-3 TEST DE DEBIT IPv4  : ENVOI DU FICHIER EN http (IPv4, http port TCP 80, fichier .mp4)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.mp4" http://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP80  +http .mp4: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


ren temp.mp4 temp.zip
REM 3-2 TEST DE DEBIT IPv4  : ENVOI DU FICHIER EN https (IPv4, https port TCP 443, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" --insecure https://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP443 +https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 3-3 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 554, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info:554') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP554 +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 3-5 TEST DE DEBIT IPv4  : ENVOI DU FICHIER EN https (IPv4, https port TCP 1194, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" --insecure https://3.testdebit.info:1194') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP1194+https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 3-6 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 6881, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info:6881') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP6881+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 3-7 TEST DE DEBIT IPv4 : TELECHARGEMENT EN http (IPv4, http port TCP 8080, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -4 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info:8080') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv4+TCP8080+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM Test de la connectivit IPv6
ping -n 1 -w 1500 -6 3.testdebit.info >nul: 2>nul:
IF ERRORLEVEL 1 goto FinUpload


REM 4-1-1 TEST DE DEBIT IPv6  : ENVOI DU FICHIER EN http (IPv6, http port TCP 80, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP80  +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)

ren temp.zip temp.jpg
REM 4-1-2 TEST DE DEBIT IPv6  : ENVOI DU FICHIER EN http (IPv6, http port TCP 80, fichier .jpg)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.jpg" http://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP80  +http .jpg: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)

ren temp.jpg temp.mp4
REM 4-1-3 TEST DE DEBIT IPv6  : ENVOI DU FICHIER EN http (IPv6, http port TCP 80, fichier .mp4)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.mp4" http://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP80  +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)

ren temp.mp4 temp.zip
REM 4-2 TEST DE DEBIT IPv6  : ENVOI DU FICHIER EN https (IPv6, https port TCP 443, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" --insecure https://3.testdebit.info') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP443 +https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 4-3 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 554, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{speed_upload} %%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info:554') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP554 +http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 4-5 TEST DE DEBIT IPv6  : ENVOI DU FICHIER EN https (IPv6, https port TCP 1194, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" --insecure https://3.testdebit.info:1194') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP1194+https.zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 4-6 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 6881, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{speed_upload} %%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info:6881') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP6881+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)


REM 4-7 TEST DE DEBIT IPv6 : TELECHARGEMENT EN http (IPv6, http port TCP 8080, fichier .zip)
for /f "tokens=1-6" %%i in ('curl -6 -s --write-out "%%{speed_upload} %%{time_namelookup} %%{time_connect} %%{time_starttransfer} %%{time_total} %%{size_upload}" -o NUL -F "filecontent=@temp.zip" http://3.testdebit.info:8080') do (
	set namelookup=%%i
	set connect=%%j
	set starttransfer=%%k
	set total=%%l
	set size=%%m
)
set namelookup=%namelookup:,=%
SET /a namelookup = 1%namelookup%-(11%namelookup%-1%namelookup%)/10
set connect=%connect:,=%
SET /a connect = 1%connect%-(11%connect%-1%connect%)/10
set /a Ping=connect-namelookup
set starttransfer=%starttransfer:,=%
SET /a starttransfer = 1%starttransfer%-(11%starttransfer%-1%starttransfer%)/10
set /a Get=starttransfer-connect
set total=%total:,=%
SET /a total = 1%total%-(11%total%-1%total%)/10
set /a temps_transfert=total-starttransfer
set /a temps_calcul = temps_transfert/8
set /a Debit_utileMB = size/(temps_calcul*1000)
set /a Debit_utileKB = size/temps_calcul
set /a Debit_utileDE=Debit_utileKB-(Debit_utileMB*1000)
echo IPv6+TCP8080+http .zip: %Debit_utileMB%,%Debit_utileDE% Mb/s (DNS:%namelookup%ms+SYN:%Ping%ms+POST:%Get%ms+Up:%temps_transfert%ms)

REM FIN DU SCRIPT : SUPRESSION DU FICHIER TEMPORAIRE
:FinUpload
del temp.zip >NUL
:FinDownload
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set jour=%%a
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set mois=%%b
for /f "delims=/ tokens=1,2,3" %%a in ('date /t') do set annee=%%c
echo %jour%/%mois%/%annee%%time:~0,8% Appuyez sur une touche pour quitter.
pause >NUL
:Fin